#
# spec file for package klogic (Version 1.22)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2
Name:         klogic
Copyright:    unknown
Group:        X11/KDE/Science
Summary:      Digital circiut simulation
Version:      1.22
Release:      179
Source0:      klogic-1.22.tar.bz2
Patch0: klogic-1.22.dif

%description
You can place digital operators on a canvas and wire them into a circuit. Then
the program simulates the operation of this circuit.

Authors:
--------
    Andreas Rostin <rostin@rheingau.netsurf.de>

SuSE series: k2de

%prep
%setup -n klogic-1.22
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -l -f admin }}
rm -f inst-apps
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Applications
%dir /opt/kde2/share/apps/klogic
%dir /opt/kde2/share/apps/klogic/pics
%dir /opt/kde2/share/apps/klogic/toolbar
/opt/kde2/bin/klogic
/opt/kde2/share/applnk/Applications/klogic.kdelnk
/opt/kde2/share/apps/klogic/jk_neg_edge.circuit
/opt/kde2/share/apps/klogic/pics/AND.xpm
/opt/kde2/share/apps/klogic/pics/Bot.xpm
/opt/kde2/share/apps/klogic/pics/BotLarge.xpm
/opt/kde2/share/apps/klogic/pics/INV.xpm
/opt/kde2/share/apps/klogic/pics/MONOFLOP.xpm
/opt/kde2/share/apps/klogic/pics/Mid.xpm
/opt/kde2/share/apps/klogic/pics/MidLarge.xpm
/opt/kde2/share/apps/klogic/pics/NET.xpm
/opt/kde2/share/apps/klogic/pics/OR.xpm
/opt/kde2/share/apps/klogic/pics/OSZ.xpm
/opt/kde2/share/apps/klogic/pics/Subnet.xpm
/opt/kde2/share/apps/klogic/pics/Top.xpm
/opt/kde2/share/apps/klogic/pics/TopLarge.xpm
/opt/kde2/share/apps/klogic/pics/XOR.xpm
/opt/kde2/share/apps/klogic/pics/cursor.xpm
/opt/kde2/share/apps/klogic/pics/pxD.xpm
/opt/kde2/share/apps/klogic/pics/pxDM.xpm
/opt/kde2/share/apps/klogic/pics/pxIN.xpm
/opt/kde2/share/apps/klogic/pics/pxJK.xpm
/opt/kde2/share/apps/klogic/pics/pxJKF.xpm
/opt/kde2/share/apps/klogic/pics/pxLED0blue.xpm
/opt/kde2/share/apps/klogic/pics/pxLED0green.xpm
/opt/kde2/share/apps/klogic/pics/pxLED0red.xpm
/opt/kde2/share/apps/klogic/pics/pxLED0yellow.xpm
/opt/kde2/share/apps/klogic/pics/pxLED1blue.xpm
/opt/kde2/share/apps/klogic/pics/pxLED1green.xpm
/opt/kde2/share/apps/klogic/pics/pxLED1red.xpm
/opt/kde2/share/apps/klogic/pics/pxLED1yellow.xpm
/opt/kde2/share/apps/klogic/pics/pxNEG.xpm
/opt/kde2/share/apps/klogic/pics/pxOUT.xpm
/opt/kde2/share/apps/klogic/pics/pxPOS.xpm
/opt/kde2/share/apps/klogic/pics/pxRS.xpm
/opt/kde2/share/apps/klogic/pics/pxRSC.xpm
/opt/kde2/share/apps/klogic/pics/pxRSCM.xpm
/opt/kde2/share/apps/klogic/pics/pxRSCMF.xpm
/opt/kde2/share/apps/klogic/pics/pxSS.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs0.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs1.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs10.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs11.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs12.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs13.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs14.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs15.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs2.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs3.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs4.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs5.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs6.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs7.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs8.xpm
/opt/kde2/share/apps/klogic/pics/pxSSs9.xpm
/opt/kde2/share/apps/klogic/pics/pxSSsoff.xpm
/opt/kde2/share/apps/klogic/pics/pxSwitch0.xpm
/opt/kde2/share/apps/klogic/pics/pxSwitch1.xpm
/opt/kde2/share/apps/klogic/rs.circuit
/opt/kde2/share/apps/klogic/rs.sub.circuit
/opt/kde2/share/apps/klogic/toolbar/tbAND.xpm
/opt/kde2/share/apps/klogic/toolbar/tbD.xpm
/opt/kde2/share/apps/klogic/toolbar/tbDev.xpm
/opt/kde2/share/apps/klogic/toolbar/tbDraw.xpm
/opt/kde2/share/apps/klogic/toolbar/tbFx.xpm
/opt/kde2/share/apps/klogic/toolbar/tbIN.xpm
/opt/kde2/share/apps/klogic/toolbar/tbINV.xpm
/opt/kde2/share/apps/klogic/toolbar/tbJK.xpm
/opt/kde2/share/apps/klogic/toolbar/tbLED.xpm
/opt/kde2/share/apps/klogic/toolbar/tbNET.xpm
/opt/kde2/share/apps/klogic/toolbar/tbOR.xpm
/opt/kde2/share/apps/klogic/toolbar/tbOSZ.xpm
/opt/kde2/share/apps/klogic/toolbar/tbOUT.xpm
/opt/kde2/share/apps/klogic/toolbar/tbPWR.xpm
/opt/kde2/share/apps/klogic/toolbar/tbRAM.xpm
/opt/kde2/share/apps/klogic/toolbar/tbRS.xpm
/opt/kde2/share/apps/klogic/toolbar/tbSS.xpm
/opt/kde2/share/apps/klogic/toolbar/tbSWI.xpm
/opt/kde2/share/apps/klogic/toolbar/tbSel.xpm
/opt/kde2/share/apps/klogic/toolbar/tbShow.xpm
/opt/kde2/share/apps/klogic/toolbar/tbSim.xpm
/opt/kde2/share/apps/klogic/toolbar/tbStep.xpm
/opt/kde2/share/apps/klogic/toolbar/tbTRI.xpm
/opt/kde2/share/apps/klogic/toolbar/tbTXT.xpm
/opt/kde2/share/apps/klogic/toolbar/tbUP.xpm
/opt/kde2/share/apps/klogic/toolbar/tbXOR.xpm

%changelog -n klogic
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Thu Jul 05 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Tue May 15 2001 - froh@suse.de
- fixed suse_update_config
* Fri May 11 2001 - adrian@suse.de
- delete in entry in main KDE menu
* Sun Apr 08 2001 - adrian@suse.de
- New version 1.22
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sat Mar 17 2001 - adrian@suse.de
- New version 1.02
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Mon Dec 04 2000 - adrian@suse.de
- compile fix
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Tue Nov 14 2000 - adrian@suse.de
- New version 1.01
* Sat Nov 04 2000 - adrian@suse.de
- New version 1.0 (KDE 2)
* Wed Jul 12 2000 - adrian@suse.de
- removed mimetype, to avoid kfm startup messages
* Wed Jul 05 2000 - adrian@suse.de
- fixed .kdelnk files
* Sat May 27 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sat May 27 2000 - @suse.de
- Spec file created from klogic-0.9973.tar.gz by autospec
* Thu Apr 06 2000 - adrian@suse.de
- compile fix axp
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Tue Feb 29 2000 - kettner@suse.de
- fixed Bug #2061, missing mime file
* Wed Jan 19 2000 - kettner@suse.de
- New version 0.9973
* Thu Nov 04 1999 - bs@suse.de
- removed libgif from neededforbuild
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat May 08 1999 - kettner@suse.de
- New version 0.993
* Thu May 06 1999 - kettner@suse.de
- New version 0.992
* Wed May 05 1999 - kettner@suse.de
- New version 0.99
